#!/usr/bin/env python

DIMENSIONS = ['ga:userType', 'ga:visitorType', 'ga:sessionCount', 'ga:visitCount', 'ga:daysSinceLastSession',
              'ga:daysSinceLastVisit', 'ga:userDefinedValue', 'ga:sessionDurationBucket', 'ga:visitLength',
              'ga:referralPath',
              'ga:fullReferrer', 'ga:campaign', 'ga:source', 'ga:medium', 'ga:sourceMedium', 'ga:keyword',
              'ga:adContent',
              'ga:socialNetwork', 'ga:hasSocialSourceReferral', 'ga:campaignCode', 'ga:adGroup', 'ga:adSlot',
              'ga:adSlotPosition', 'ga:adDistributionNetwork', 'ga:adMatchType', 'ga:adKeywordMatchType',
              'ga:adMatchedQuery',
              'ga:adPlacementDomain', 'ga:adPlacementUrl', 'ga:adFormat', 'ga:adTargetingType', 'ga:adTargetingOption',
              'ga:adDisplayUrl', 'ga:adDestinationUrl', 'ga:adwordsCustomerID', 'ga:adwordsCampaignID',
              'ga:adwordsAdGroupID',
              'ga:adwordsCreativeID', 'ga:adwordsCriteriaID', 'ga:isTrueViewVideoAd', 'ga:goalCompletionLocation',
              'ga:goalPreviousStep1', 'ga:goalPreviousStep2', 'ga:goalPreviousStep3', 'ga:browser', 'ga:browserVersion',
              'ga:operatingSystem', 'ga:operatingSystemVersion', 'ga:isMobile', 'ga:isTablet',
              'ga:mobileDeviceBranding',
              'ga:mobileDeviceModel', 'ga:mobileInputSelector', 'ga:mobileDeviceInfo', 'ga:mobileDeviceMarketingName',
              'ga:deviceCategory', 'ga:dataSource', 'ga:continent', 'ga:subContinent', 'ga:country', 'ga:region',
              'ga:metro',
              'ga:city', 'ga:latitude', 'ga:longitude', 'ga:networkDomain', 'ga:networkLocation', 'ga:cityId',
              'ga:countryIsoCode', 'ga:regionId', 'ga:regionIsoCode', 'ga:subContinentCode', 'ga:flashVersion',
              'ga:javaEnabled', 'ga:language', 'ga:screenColors', 'ga:sourcePropertyDisplayName',
              'ga:sourcePropertyTrackingId', 'ga:screenResolution', 'ga:socialActivityEndorsingUrl',
              'ga:socialActivityDisplayName', 'ga:socialActivityPost', 'ga:socialActivityTimestamp',
              'ga:socialActivityUserHandle', 'ga:socialActivityUserPhotoUrl', 'ga:socialActivityUserProfileUrl',
              'ga:socialActivityContentUrl', 'ga:socialActivityTagsSummary', 'ga:socialActivityAction',
              'ga:socialActivityNetworkAction', 'ga:hostname', 'ga:pagePath', 'ga:pagePathLevel1', 'ga:pagePathLevel2',
              'ga:pagePathLevel3', 'ga:pagePathLevel4', 'ga:pageTitle', 'ga:landingPagePath', 'ga:secondPagePath',
              'ga:exitPagePath', 'ga:previousPagePath', 'ga:nextPagePath', 'ga:pageDepth', 'ga:landingContentGroupXX',
              'ga:previousContentGroupXX', 'ga:contentGroupXX', 'ga:nextContentGroupXX', 'ga:searchUsed',
              'ga:searchKeyword',
              'ga:searchKeywordRefinement', 'ga:searchCategory', 'ga:searchStartPage', 'ga:searchDestinationPage',
              'ga:searchAfterDestinationPage', 'ga:appInstallerId', 'ga:appVersion', 'ga:appName', 'ga:appId',
              'ga:screenName',
              'ga:screenDepth', 'ga:landingScreenName', 'ga:exitScreenName', 'ga:eventCategory', 'ga:eventAction',
              'ga:eventLabel', 'ga:transactionId', 'ga:affiliation', 'ga:sessionsToTransaction',
              'ga:visitsToTransaction',
              'ga:daysToTransaction', 'ga:productSku', 'ga:productName', 'ga:productCategory', 'ga:currencyCode',
              'ga:checkoutOptions', 'ga:internalPromotionCreative', 'ga:internalPromotionId',
              'ga:internalPromotionName',
              'ga:internalPromotionPosition', 'ga:orderCouponCode', 'ga:productBrand', 'ga:productCategoryHierarchy',
              'ga:productCategoryLevelXX', 'ga:productCouponCode', 'ga:productListName', 'ga:productListPosition',
              'ga:productVariant', 'ga:shoppingStage', 'ga:socialInteractionNetwork', 'ga:socialInteractionAction',
              'ga:socialInteractionNetworkAction', 'ga:socialInteractionTarget', 'ga:socialEngagementType',
              'ga:userTimingCategory', 'ga:userTimingLabel', 'ga:userTimingVariable', 'ga:exceptionDescription',
              'ga:experimentId', 'ga:experimentVariant', 'ga:dimensionXX', 'ga:customVarNameXX', 'ga:customVarValueXX',
              'ga:date', 'ga:year', 'ga:month', 'ga:week', 'ga:day', 'ga:hour', 'ga:minute', 'ga:nthMonth',
              'ga:nthWeek',
              'ga:nthDay', 'ga:nthMinute', 'ga:dayOfWeek', 'ga:dayOfWeekName', 'ga:dateHour', 'ga:yearMonth',
              'ga:yearWeek',
              'ga:isoWeek', 'ga:isoYear', 'ga:isoYearIsoWeek', 'ga:nthHour', 'ga:dcmClickAd', 'ga:dcmClickAdId',
              'ga:dcmClickAdType', 'ga:dcmClickAdTypeId', 'ga:dcmClickAdvertiser', 'ga:dcmClickAdvertiserId',
              'ga:dcmClickCampaign', 'ga:dcmClickCampaignId', 'ga:dcmClickCreativeId', 'ga:dcmClickCreative',
              'ga:dcmClickRenderingId', 'ga:dcmClickCreativeType', 'ga:dcmClickCreativeTypeId',
              'ga:dcmClickCreativeVersion',
              'ga:dcmClickSite', 'ga:dcmClickSiteId', 'ga:dcmClickSitePlacement', 'ga:dcmClickSitePlacementId',
              'ga:dcmClickSpotId', 'ga:dcmFloodlightActivity', 'ga:dcmFloodlightActivityAndGroup',
              'ga:dcmFloodlightActivityGroup', 'ga:dcmFloodlightActivityGroupId', 'ga:dcmFloodlightActivityId',
              'ga:dcmFloodlightAdvertiserId', 'ga:dcmFloodlightSpotId', 'ga:dcmLastEventAd', 'ga:dcmLastEventAdId',
              'ga:dcmLastEventAdType', 'ga:dcmLastEventAdTypeId', 'ga:dcmLastEventAdvertiser',
              'ga:dcmLastEventAdvertiserId',
              'ga:dcmLastEventAttributionType', 'ga:dcmLastEventCampaign', 'ga:dcmLastEventCampaignId',
              'ga:dcmLastEventCreativeId', 'ga:dcmLastEventCreative', 'ga:dcmLastEventRenderingId',
              'ga:dcmLastEventCreativeType', 'ga:dcmLastEventCreativeTypeId', 'ga:dcmLastEventCreativeVersion',
              'ga:dcmLastEventSite', 'ga:dcmLastEventSiteId', 'ga:dcmLastEventSitePlacement',
              'ga:dcmLastEventSitePlacementId',
              'ga:dcmLastEventSpotId', 'ga:userAgeBracket', 'ga:visitorAgeBracket', 'ga:userGender', 'ga:visitorGender',
              'ga:interestOtherCategory', 'ga:interestAffinityCategory', 'ga:interestInMarketCategory',
              'ga:channelGrouping',
              'ga:correlationModelId', 'ga:queryProductId', 'ga:queryProductName', 'ga:queryProductVariation',
              'ga:relatedProductId', 'ga:relatedProductName', 'ga:relatedProductVariation']

METRICS = ["ga:users", "ga:visitors", "ga:newUsers", "ga:newVisits", "ga:percentNewSessions", "ga:percentNewVisits",
           "ga:sessionsPerUser", "ga:sessions", "ga:visits", "ga:bounces", "ga:entranceBounceRate", "ga:bounceRate",
           "ga:visitBounceRate", "ga:sessionDuration", "ga:timeOnSite", "ga:avgSessionDuration", "ga:avgTimeOnSite",
           "ga:hits", "ga:organicSearches", "ga:impressions", "ga:adClicks", "ga:adCost", "ga:CPM", "ga:CPC", "ga:CTR",
           "ga:costPerTransaction", "ga:costPerGoalConversion", "ga:costPerConversion", "ga:RPC", "ga:ROI", "ga:margin",
           "ga:ROAS", "ga:goalXXStarts", "ga:goalStartsAll", "ga:goalXXCompletions", "ga:goalCompletionsAll",
           "ga:goalXXValue", "ga:goalValueAll", "ga:goalValuePerSession", "ga:goalValuePerVisit",
           "ga:goalXXConversionRate", "ga:goalConversionRateAll", "ga:goalXXAbandons", "ga:goalAbandonsAll",
           "ga:goalXXAbandonRate", "ga:goalAbandonRateAll", "ga:socialActivities", "ga:pageValue", "ga:entrances",
           "ga:entranceRate", "ga:pageviews", "ga:pageviewsPerSession", "ga:pageviewsPerVisit", "ga:uniquePageviews",
           "ga:timeOnPage", "ga:avgTimeOnPage", "ga:exits", "ga:exitRate", "ga:contentGroupUniqueViewsXX",
           "ga:searchResultViews", "ga:searchUniques", "ga:avgSearchResultViews", "ga:searchSessions",
           "ga:searchVisits", "ga:percentSessionsWithSearch", "ga:percentVisitsWithSearch", "ga:searchDepth",
           "ga:avgSearchDepth", "ga:searchRefinements", "ga:percentSearchRefinements", "ga:searchDuration",
           "ga:avgSearchDuration", "ga:searchExits", "ga:searchExitRate", "ga:searchGoalXXConversionRate",
           "ga:searchGoalConversionRateAll", "ga:goalValueAllPerSearch", "ga:pageLoadTime", "ga:pageLoadSample",
           "ga:avgPageLoadTime", "ga:domainLookupTime", "ga:avgDomainLookupTime", "ga:pageDownloadTime",
           "ga:avgPageDownloadTime", "ga:redirectionTime", "ga:avgRedirectionTime", "ga:serverConnectionTime",
           "ga:avgServerConnectionTime", "ga:serverResponseTime", "ga:avgServerResponseTime", "ga:speedMetricsSample",
           "ga:domInteractiveTime", "ga:avgDomInteractiveTime", "ga:domContentLoadedTime", "ga:avgDomContentLoadedTime",
           "ga:domLatencyMetricsSample", "ga:screenviews", "ga:appviews", "ga:uniqueScreenviews", "ga:uniqueAppviews",
           "ga:screenviewsPerSession", "ga:appviewsPerVisit", "ga:timeOnScreen", "ga:avgScreenviewDuration",
           "ga:totalEvents", "ga:uniqueEvents", "ga:eventValue", "ga:avgEventValue", "ga:sessionsWithEvent",
           "ga:visitsWithEvent", "ga:eventsPerSessionWithEvent", "ga:eventsPerVisitWithEvent", "ga:transactions",
           "ga:transactionsPerSession", "ga:transactionsPerVisit", "ga:transactionRevenue", "ga:revenuePerTransaction",
           "ga:transactionRevenuePerSession", "ga:transactionRevenuePerVisit", "ga:transactionShipping",
           "ga:transactionTax", "ga:totalValue", "ga:itemQuantity", "ga:uniquePurchases", "ga:revenuePerItem",
           "ga:itemRevenue", "ga:itemsPerPurchase", "ga:localTransactionRevenue", "ga:localTransactionShipping",
           "ga:localTransactionTax", "ga:localItemRevenue", "ga:buyToDetailRate", "ga:cartToDetailRate",
           "ga:internalPromotionCTR", "ga:internalPromotionClicks", "ga:internalPromotionViews",
           "ga:localProductRefundAmount", "ga:localRefundAmount", "ga:productAddsToCart", "ga:productCheckouts",
           "ga:productDetailViews", "ga:productListCTR", "ga:productListClicks", "ga:productListViews",
           "ga:productRefundAmount", "ga:productRefunds", "ga:productRemovesFromCart", "ga:productRevenuePerPurchase",
           "ga:quantityAddedToCart", "ga:quantityCheckedOut", "ga:quantityRefunded", "ga:quantityRemovedFromCart",
           "ga:refundAmount", "ga:revenuePerUser", "ga:totalRefunds", "ga:transactionsPerUser", "ga:socialInteractions",
           "ga:uniqueSocialInteractions", "ga:socialInteractionsPerSession", "ga:socialInteractionsPerVisit",
           "ga:userTimingValue", "ga:userTimingSample", "ga:avgUserTimingValue", "ga:exceptions",
           "ga:exceptionsPerScreenview", "ga:fatalExceptions", "ga:fatalExceptionsPerScreenview", "ga:metricXX",
           "ga:dcmFloodlightQuantity", "ga:dcmFloodlightRevenue", "ga:dcmCPC", "ga:dcmCTR", "ga:dcmClicks",
           "ga:dcmCost", "ga:dcmImpressions", "ga:dcmMargin", "ga:dcmROAS", "ga:dcmROI", "ga:dcmRPC",
           "ga:adsenseRevenue", "ga:adsenseAdUnitsViewed", "ga:adsenseAdsViewed", "ga:adsenseAdsClicks",
           "ga:adsensePageImpressions", "ga:adsenseCTR", "ga:adsenseECPM", "ga:adsenseExits",
           "ga:adsenseViewableImpressionPercent", "ga:adsenseCoverage", "ga:correlationScore",
           "ga:queryProductQuantity", "ga:relatedProductQuantity"]

PROFILES = [
    "408032",
    "440201",
    "878058",
    "1817814",
    "3580980",
    "3729005",
    "3889548",
    "4434016",
    "4787728",
    "5576177",
    "6125383",
    "17583386",
    "31083212",
    "38287435",
    "44742185",
    "75360469",
    "79931618",
    "86123743",
    "91701377",
    "94083579",
    "94176345",
    "440234",
    "440238",
    "440241",
    "32095599",
    "32096917",
    "32096275",
    "32097405",
    "32098101",
    "32671168",
    "32675056",
    "33410785",
    "34691934",
    "34691389",
    "34691955",
    "34861968",
    "35343808",
    "36005442",
    "38285973",
    "41590392",
    "43021091",
    "43023002",
    "53209405",
    "69838101",
    "73697154",
    "4788422",
    "43795267",
    "7124761",
    "8134523",
    "8486694",
    "8486778",
    "10328286",
    "12175561",
    "12659354",
    "17559185",
    "21702986",
    "21703024",
    "21703062",
    "21703096",
    "21703117",
    "21703146",
    "22024322",
    "31000214",
    "31083695",
    "31091067",
    "31091668",
    "31759619",
    "33411818",
    "35343372",
    "37255697",
    "37257214",
    "37257220",
    "37616408",
    "37615487",
    "38286478",
    "39704185",
    "39705721",
    "40085000",
    "46656875",
    "49673723",
    "53076318",
    "69831048",
    "15874055",
    "17512155",
    "26066954",
    "31081403",
    "31081132",
    "31081708",
    "32831110",
    "37652203",
    "37652059",
    "37652311",
    "39703952",
    "54567900",
    "55754115",
    "35299204",
    "35714798",
    "40701978",
    "54153686",
    "78415131",
    "64572790",
    "69943895",
    "72468069",
    "73869184",
    "77808185",
    "78729019",
    "87112121",
    "87069580",
    "69124207"
]
